package lingtao.net.dao;

import java.util.List;
import lingtao.net.bean.MyFile;
import lingtao.net.bean.MyFileExample;
import org.apache.ibatis.annotations.Param;

public interface MyFileMapper {
    long countByExample(MyFileExample example);

    int deleteByExample(MyFileExample example);

    int deleteByPrimaryKey(Integer fileId);

    int insert(MyFile record);

    int insertSelective(MyFile record);

    List<MyFile> selectByExample(MyFileExample example);

    MyFile selectByPrimaryKey(Integer fileId);

    int updateByExampleSelective(@Param("record") MyFile record, @Param("example") MyFileExample example);

    int updateByExample(@Param("record") MyFile record, @Param("example") MyFileExample example);

    int updateByPrimaryKeySelective(MyFile record);

    int updateByPrimaryKey(MyFile record);

	List<MyFile> getFileList(MyFile myFile);
}